Get conversions summary
curl --request GET \
--url https://api.instantly.ai/api/v2/email-marketing/conversions/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/email-marketing/conversions/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/email-marketing/conversions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/email-marketing/conversions/summary")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/email-marketing/conversions/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/email-marketing/conversions/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"totals": {
"total": 12,
"direct": 5,
"influenced": 4,
"received": 2,
"none": 1
},
"history_incomplete": 0,
"distinct_people": 11,
"groups": [
{
"total": 12,
"direct": 5,
"influenced": 4,
"received": 2,
"none": 1,
"source": "api",
"event_name": "subscription_started",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"broadcast_id": "broadcast-42ef",
"group_value": "starter",
"journey_name": "Welcome series",
"broadcast_name": "August newsletter"
}
],
"groups_truncated": false
}{
"statusCode": 400,
"error": "Bad Request",
"message": "name: Invalid domain name format",
"code": "VALIDATION_ERROR"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Conversion
Get conversions summary
Counts the conversions in a UTC date range per attribution, optionally split by the last email’s journey, journey step or broadcast, or by the group value.
Requires one of the following scopes: email_marketing_conversions:read, email_marketing_conversions:all, all:read, all:all
GET
/
api
/
v2
/
email-marketing
/
conversions
/
summary
Get conversions summary
curl --request GET \
--url https://api.instantly.ai/api/v2/email-marketing/conversions/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/email-marketing/conversions/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/email-marketing/conversions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/email-marketing/conversions/summary")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/email-marketing/conversions/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/email-marketing/conversions/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"totals": {
"total": 12,
"direct": 5,
"influenced": 4,
"received": 2,
"none": 1
},
"history_incomplete": 0,
"distinct_people": 11,
"groups": [
{
"total": 12,
"direct": 5,
"influenced": 4,
"received": 2,
"none": 1,
"source": "api",
"event_name": "subscription_started",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"broadcast_id": "broadcast-42ef",
"group_value": "starter",
"journey_name": "Welcome series",
"broadcast_name": "August newsletter"
}
],
"groups_truncated": false
}{
"statusCode": 400,
"error": "Bad Request",
"message": "name: Invalid domain name format",
"code": "VALIDATION_ERROR"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Query Parameters
Response
The conversion totals